class Seamess::Manager::PagesController < Seamess::Manager::BaseController

  def index
    @pages = Seamess::Page.for_manager_index
  end

  def show
    @page = Seamess::Page.find(params[:id])
  end

  def new
    @page = Seamess::Page.new
  end

  def create
    @page = Seamess::Page.new(page_create_params)

    if @page.save
      flash[:success] = "Saved the page."
      redirect_to seamess.manager_pages_path
    else
      flash[:error] = "Something went wrong:"
      render :new
    end
  end

  def edit
    @page = Seamess::Page.find(params[:id])
  end

  def update
    @page = Seamess::Page.find(params[:id])

    if @page.update_attributes(page_update_params)
      flash[:success] = "Updated the page."
      redirect_to seamess.manager_pages_path
    else
      flash[:error] = "Something went wrong:"
      render :edit
    end
  end

  private def page_create_params
    params.require(:page).permit(
      :slug,
      :title,
      :body
    )
  end

  alias_method :page_update_params, :page_create_params
end
