class Seamess::Page < ApplicationRecord
  validates :title, presence: true
  validates :slug, uniqueness: true, format: { with: /\A(?!\/)/, message: "must not begin with a slash" }

  scope :for_manager_index, -> { order(slug: :asc) }

  class << self
    def for_slug_or_404(slug)
      for_slug(slug) || for_slug('404')
    end

    def for_slug(slug)
      find_by(slug: slug)
    end
  end
end
