# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rails db:seed command (or created alongside the database with db:setup).
#
# Examples:
#
#   movies = Movie.create([{ name: 'Star Wars' }, { name: 'Lord of the Rings' }])
#   Character.create(name: 'Luke', movie: movies.first)

################################################################################
# Pages
################################################################################

def entity_not_found?(klass, search_by, &block)
  entity = klass.find_or_initialize_by(search_by)
  if !entity.persisted?
    block.call(entity)
    puts "Created #{klass.to_s} with #{search_by.inspect}"
  end
end

entity_not_found?(Seamess::Page, slug: '404') do |page404|
  page404.title = "404 Not Found"
  page404.body = "The requested page could not be found. Sorry!"
  page404.save!
end
